/**
 * This class reads from a file (sample.txt) and puts the contents in a textfield
 * 
 * Author: Jeff Borland
 * Date: 12-12-11
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

//This is just like a JApplet, but it is an application so it is going to be JFrame
public class SampleApp extends JFrame implements ActionListener 
{
    JTextField textField = new JTextField(20);
    JButton readFileButton= new JButton ("Read File");
   
    //If you change the class name, you will need to put it below:
    public static void main(String[] args) {
        SampleApp x = new SampleApp();  //change SampleApp to your class name 2 times
        x.init();
        x.setSize(520,520);
        x.setVisible(true);

    }

    public void init()
    {
        Container screen = getContentPane();
        screen.setBackground(Color.white);
        screen.setLayout (new FlowLayout() );
        screen.add(textField);
        screen.add(readFileButton);

       readFileButton.addActionListener(this); 

    }

    public void paint (Graphics g)
    {
        super.paint(g);
        g.drawLine(5,200,400,200);
    }

    public void actionPerformed(ActionEvent thisEvent)
    {
        Object source = thisEvent.getSource();

        MyFile m=new MyFile("sampleFile.txt");
        String oneLine=m.nextLine();
        
        if (source == readFileButton)
        {                       
            textField.setText(oneLine);
        }
      
    }

}    